# FoundationClasses
TKernel
TColStd

# TColStd_StackOfTransient Class Reference

`#include <TColStd_StackOfTransient.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_StackOfTransient ()
Standard_EXPORT const TColStd_StackOfTransient & | Assign (const TColStd_StackOfTransient &Other)
const TColStd_StackOfTransient & | operator= (const TColStd_StackOfTransient &Other)
Standard_Boolean | IsEmpty () const
Standard_Integer | Depth () const
Standard_EXPORT const Handle_Standard_Transient & | Top () const
Standard_EXPORT void | Push (const Handle(Standard_Transient)&I)
Standard_EXPORT void | Pop ()
Standard_EXPORT void | Clear ()
| ~TColStd_StackOfTransient ()
Standard_EXPORT Handle_Standard_Transient & | ChangeTop ()

## Private Member Functions

Standard_EXPORT | TColStd_StackOfTransient (const TColStd_StackOfTransient &Other)

## Private Attributes

Standard_Address | myTop
Standard_Integer | myDepth

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_StackOfTransient::TColStd_StackOfTransient | ( |  | ) |

TColStd_StackOfTransient::~TColStd_StackOfTransient | ( |  | ) | `[inline]`

Standard_EXPORT TColStd_StackOfTransient::TColStd_StackOfTransient | ( | const TColStd_StackOfTransient & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const TColStd_StackOfTransient& TColStd_StackOfTransient::Assign | ( | const TColStd_StackOfTransient & | Other | ) |

Standard_EXPORT Handle_Standard_Transient& TColStd_StackOfTransient::ChangeTop | ( |  | ) |

Standard_EXPORT void TColStd_StackOfTransient::Clear | ( |  | ) |

Standard_Integer TColStd_StackOfTransient::Depth | ( |  | ) | const

Standard_Boolean TColStd_StackOfTransient::IsEmpty | ( |  | ) | const

void TColStd_StackOfTransient::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TColStd_StackOfTransient::operator new | ( | size_t | size | ) | `[inline]`

void* TColStd_StackOfTransient::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

const TColStd_StackOfTransient& TColStd_StackOfTransient::operator= | ( | const TColStd_StackOfTransient & | Other | ) | `[inline]`

Standard_EXPORT void TColStd_StackOfTransient::Pop | ( |  | ) |

Standard_EXPORT void TColStd_StackOfTransient::Push | ( | const Handle(Standard_Transient)& | I | ) |

Standard_EXPORT const Handle_Standard_Transient& TColStd_StackOfTransient::Top | ( |  | ) | const

## Field Documentation

Standard_Integer TColStd_StackOfTransient::myDepth `[private]`

Standard_Address TColStd_StackOfTransient::myTop `[private]`

The documentation for this class was generated from the following file:

- TColStd_StackOfTransient.hxx